Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.binxml
Class BinXMLMetadataProviderFactory

`java.lang.Object
oracle.xml.binxml.BinXMLMetadataProviderFactory`

      public class BinXMLMetadataProviderFactory

extends java.lang.Object

Factory class for creating DBBinXMLMetadataProvider

Constructor Summary
`BinXMLMetadataProviderFactory()`

Method Summary
`static DBBinXMLMetadataProvider` `createDBMetadataProvider()` The method returns a new instance of DBBinXMLMetadataProvider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinXMLMetadataProviderFactory

    public BinXMLMetadataProviderFactory()

Method Detail

### createDBMetadataProvider

    public static DBBinXMLMetadataProvider createDBMetadataProvider()
                                                             throws BinXMLException

  The method returns a new instance of DBBinXMLMetadataProvider.
  Returns:
    instance of DBBinXMLMetadataProvider
  Throws:
    `BinXMLException`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.